Subject: Re: [MOBILE-IP] MIER V01

From: Patrice Calhoun <[email-masked]>
Date: Tue, 7 Dec 1999 11:12:10 -0800

All,

Although this draft is better than its predecessor, I REALLY don't like the
way that the one octet is split up into a sub-type and flags.

I really don't see why a reserved bit field is necessary, and this limits the
number of sub-types to 16. This seems to conflict with the statement in
the abstract "MIER describes a new extensions structure to Mobile IP to
make the extensions truly extensible." I think that truly here is a little
mis-leading since it is not infinitely extensible. We still have a maximum
number of extensions, and what we now have is 254 * 16, which should
give us a little longer, but it's hardly "truly extensible".

Section 2.2 defines that this new extension can be carried within an
ICMP Router Discovery message. Why is that? I really don't see why we
need to change the format of the ICMP messages. Is this really a requirement?

Appendix A.1 is not in harmony with the new challenge draft. The new challenge
draft reserves an SPI instead of a new identifier.

PatC